Can't Link KindleGen

I am trying to compile to Mobi and the link to KindleGen forced me into a download of Kindle Preview, which Scrivener won’t allow me to select, which is what is required to compile to Mobi. I researched this topic here on the support forum and found a link to download KindleGen which my Mac doesn’t support as a download. Is there a way to compile to Mobi without using KindleGen?

Compile to ePub and convert using Kindle Previewer.

What version of Scrivener do you have, and with which version of Mac OS?

Katherine

Thanks. That’s the direction I headed. I am using Scrivener 3 on Mojave 10.14.4.

Amazon moved the KindleGen download page again, here it is:

https://www.amazon.com/gp/feature.html?docId=1000765211

That should be fine for 10.14. I’m using KindleGen without any problems here. There may be some other issue you’re running into other than compatibility.

What specific sub-version of Scrivener 3? (The Scrivener -> About Scrivener command will tell you.)

Scrivener 3.1.3 (the latest) can use the KindleGen version that’s embedded in Kindle Previewer and doesn’t need a separate KindleGen installation.

Katherine